commit 33f944705c6c42e1b52f6ec62131d31f737c638f
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Dec 16 15:14:11 2020 +1000

    Bump to 1.2.1

commit 2d30328f9c5390eb38d4052028cd00bafaa151d4
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sat Oct 31 21:01:02 2020 -0700

    writeFile: avoid file leak on errors
    
    Resolves issues found by Oracle Parfait 4.0 static analyser:
    
       File Leak [file-ptr-leak]:
          Leaked File out
            at line 337 of app/fonttosfnt/write.c in function 'writeFile'.
              out initialized at line 330 with fopen
       File Leak [file-ptr-leak]:
          Leaked File out
            at line 366 of app/fonttosfnt/write.c in function 'writeFile'.
              out initialized at line 330 with fopen
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 899eadee6750ea39ddb6b874529c29c011599bb2
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sat Oct 24 11:41:32 2020 +0200

    Fall back to using FONT property as family name

commit 5f2307d883de6ddf55f499f1690840747b1a3ad9
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sat Oct 24 09:53:32 2020 +0200

    fix sign of calculated descent
    
    I discovered this bug when converting the Tamsyn font from pcf to otb.

commit 4d418c1602c8b939d3e5e479c44985a505ecad83
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Fri Oct 23 21:35:24 2020 +0200

    handle empty foundry encoded as NULL
    
    to fix a segfault

commit 5727003b1df9071a2bc9a42bc0b25d7c03c8de09
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Fri Oct 23 21:00:06 2020 +0200

    remove leftover debug printf

commit 91af80a0aa18c969cd90668eed80bcbfc1e40661
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 21 16:36:30 2020 +1000

    Bump to 1.2.0

commit ca9ad454496bebbc37125959d049cf2173c07c2a
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sun Aug 16 21:56:15 2020 +0200

    use PIXEL_SIZE to calculate lineGap

commit 0447b81053d4ccaa1e1b0087bf6076abae431cae
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Fri Jul 31 00:07:26 2020 +0200

    fix sign of sTypoDescender

commit 747c58aa17b9adc016aed0caab049417a20f0b22
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Thu Jul 30 22:46:50 2020 +0200

    calculate capHeight and xHeight as recommended

commit 64e7f386baf69fa6857047fc8ad9b4cd9a8185f1
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Thu Jul 30 21:34:59 2020 +0200

    move metrics calculation to write.c

commit 19412d9ac3fb7f00346273cfe914601c844f5872
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sat Jul 18 08:39:01 2020 +0200

    Add warnings when wrapping multiple fonts and on PCF fonts

commit 1fa97fdc6dc900728be8523be89096b4cb117d4d
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sun Jul 12 15:36:18 2020 +0200

    provide version 5 OS/2 table
    
    this was an attempt to fix linespacing, which did not help, but
    would still keep it around to avoid double efforts.

commit facf71184163d50adf0b8fccffcaffa18b7bd277
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sun Jul 12 15:12:59 2020 +0200

    use design metrics in eblc instead of calculated metrics
    
    This will probably not work for a font providing multiple strikes.
    But .bdf fonts don't provide multiple strikes (or do they?!?)
    I don't know about .pcf fonts, but I would recommend against running fonttosfnt
    on .pcf fonts because bdf2pcf seems to loose some attributes during conversion.

commit 9fb05de7d6c57d045b4a88516f3c28cf3cf98722
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Tue Jul 7 21:02:56 2020 +0200

    use more properties according to XLFD

commit 58cbf737557f34744b950668e3354ec2f2dae766
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Mon Jul 6 22:50:23 2020 +0200

    use standard C rounding functions

commit f8fa7919397659fb0ac5dade75152343d57f20ce
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Tue Jun 16 18:43:12 2020 +0200

    correctly set OS2 fsSelection for italic and bold fonts

commit 1df352c9e862686692ac053b838d76a36d721805
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Mon Jun 15 14:08:49 2020 +0200

    truncate foundry if there is no known abbreviation.
    
    Honestly I have no idea why the foundry needs to fit in four bytes.
    But anyway truncation might indeed be better then "UNKN" ?
    
    Anyone more knowledgeable than me out there?

commit 8532812f1eddfadc0bcfad220b283bf5990bba10
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sun May 31 08:02:24 2020 +0200

    use zero lineGap, sTypoDescender should be negative
    
    According to
    https://simoncozens.github.io/fonts-and-layout/opentype.html#vertical-metrics-hhea-and-os2
    sTypoDescender should be negative and lineGap should be zero.

commit de8068f9c4251fb6cb9407c07bf245e1937270bc
Author: Christopher Zimmermann <madroach@gmerlin.de>
Date:   Sun May 31 07:58:10 2020 +0200

    don't add arbitrary number to the glypth metrics
    
    This caused pango to calculate wrong, too large font extents and in
    consequence gvim used too large character cells.

commit 7096c58f3fe3b6c79508cb16daac5c5bb2f042e7
Author: Peng Wu <pwu@redhat.com>
Date:   Thu Jun 11 14:09:35 2020 +0800

    Guess Regular style for Medium Weight
    
    X Logical Font Description recognize "Medium" as "Regular".
    Update the faceWeight function to change style from "Medium" to "Regular".

commit 81a61c049e6de80120531f0770b22e7637c9acb9
Author: rnhmjoj <rnhmjoj@inventati.org>
Date:   Fri Feb 7 17:47:52 2020 +0100

    Fix uninitialised memory write
    
    If macTime() fails write zeros instead of unitialized memory to
    the date fields.

commit 51e8117654fb092ae5412d7aa184bfc6b498c954
Author: rnhmjoj <rnhmjoj@inventati.org>
Date:   Fri Feb 7 17:46:54 2020 +0100

    Fix incorrect error handling in macTime()
    
    mktime() and time() return (time_t -1) to signal an error.
    Checking for negative values will incorrectly assume an error
    happened for any calendar date before the unix epoch.

commit 1d757ff6fa30079790fc44b141f6d0e4d5411f13
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Mon Jan 6 12:55:31 2020 +1000

    Bump to 1.1.0
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit bdcb892975de167b3d4258859234f0abe375f236
Author: Jouke Witteveen <j.witteveen@gmail.com>
Date:   Fri Aug 2 14:03:15 2019 +0200

    Accept a BDF font on stdin
    
    This makes it easier to transition from bdftopcf.
    Although an OTB file could include fonts from multiple BDF sources, that
    functionality is not currently implemented for fonts read from stdin.
    
    Signed-off-by: Jouke Witteveen <j.witteveen@gmail.com>

commit 0006f577898129c0c5d5e0996026641605705e08
Author: Jouke Witteveen <j.witteveen@gmail.com>
Date:   Fri Aug 2 11:43:56 2019 +0200

    Mention .otb as an extension
    
    The OTB (OpenType Bitmap) extension has found some traction, so suggest
    that.
    
    Signed-off-by: Jouke Witteveen <j.witteveen@gmail.com>

commit cb4b8760f829040eb4b2fb314df5b6194230a237
Author: Jouke Witteveen <j.witteveen@gmail.com>
Date:   Fri Aug 2 11:41:59 2019 +0200

    Correct a string literal
    
    Signed-off-by: Jouke Witteveen <j.witteveen@gmail.com>

commit d06059ef2a85df3c70f3c0b77364b4c49837f331
Author: Peng Wu <alexepico@gmail.com>
Date:   Wed Oct 9 14:20:22 2019 +0800

    Round font size to integer value when reading bitmap font
    
    Some fonts have a ppem value like 11.9, this patch adds integer rounding to
    convert those ppem value to 12 instead of 11.

commit cfb4d64e1b90a28693fd700f4abf0f55d969f4f6
Author: Ryan Farley <ryan.farley@gmx.com>
Date:   Sat Aug 31 06:42:24 2019 -0500

    allow ISO-646.1991-IRV as well, adobe standard for bdf
    
    Allow for BDF file with no specified encoding to be read as Adobe
    Standard (per freetype's BDF driver), and handle any Unicode-equivalent
    encoding without changing the encoding name.

commit 5d446a02a7422d3a61f74b8d1c28b7b551ea06fd
Author: Ryan Farley <ryan.farley@gmx.com>
Date:   Tue Aug 20 03:16:22 2019 -0500

    let freetype handle ISO-8859-1 mapping
    
    https://www.freetype.org/freetype2/docs/reference/ft2-base_interface.html#ft_encoding
    indicates that ISO-8859-1 is automatically mapped to Unicode for BDF and
    PCF fonts -- trying to use FT_Select_Charmap() with FT_ENCODING_NONE
    leads to an error for such fonts.

commit 6fc84fb2c0d4ac0b3b66330057bb90418cc1eb28
Author: Ryan Farley <ryan.farley@gmx.com>
Date:   Fri Aug 30 09:43:50 2019 -0500

    check for freetype NULL atoms
    
    Freetype uses NULL to represent an empty string when retrieving a BDF
    property -- check for this in addition to an actual error

commit c214ab0d7deae30acdf90933ed14b223118dcf67
Author: Maya Rashish <maya@NetBSD.org>
Date:   Thu Jan 10 20:49:28 2019 +0200

    Avoid undefined behaviour
    
    Left shifting a negative is undefined.
    For consistency, use the equivalent form of multiplication for the
    positive numbers as well.

commit 8e34a2aa7c4dea5aa07dc08a40dacd90e2148a89
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Wed Nov 21 16:46:19 2018 -0800

    Update configure.ac bug URL for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 46d4900c2dbed1c7a632dc34a4ef952a9cdda8eb
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Fri Nov 16 19:53:06 2018 -0800

    Update README for gitlab migration
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit ec6f334152badff475d2a8c465dfdbf740f148d0
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Wed Oct 31 14:37:24 2018 +1000

    Mark vsprintf_alloc as printf-like function
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Eric Anholt <eric@anholt.net>

commit 7f8d7ecf0379ebc5386ee27f385a2ca564d6decb
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 11:36:54 2018 +1000

    Bump to 1.0.5
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9d92e49a4b69edc6e05f44e00aef8b81bb00f067
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 11:49:07 2018 +1000

    Replace _BSD_SOURCE with _DEFAULT_SOURCE
    
    /usr/include/features.h:184:3: warning: #warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE" [-Wcpp]
     # warning "_BSD_SOURCE and _SVID_SOURCE are deprecated, use _DEFAULT_SOURCE"
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 0c993094a8899b488ba4acbb888c176f99da0849
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 11:45:51 2018 +1000

    Fix shadowing i variable complaint
    
    C99 is a magical thing!
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 6c37ebcfd8992fdf88da225bd1de7ca40dd69240
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 11:43:01 2018 +1000

    Remove shadowing rc variable
    
    All code paths assign rc and heck it immedately after. We can re-use the one
    from the outer loop.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 65d2d8f9cbe744b4c6c64d377f7ffd5d88ee0b1d
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 11:40:55 2018 +1000

    README: update repository URL to gitlab
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Adam Jackson <ajax@redhat.com>

commit 9d776b6a0f770cbe045a56141844d0ba393da611
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jul 31 11:38:41 2018 +1000

    Constify a few string arguments
    
    Cuts down on compiler warning by at least 64%, what a bargain!
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit aead36f0be638a572ec97eb5313e45086874a5e6
Author: Mihail Konev <k.mvc@ya.ru>
Date:   Thu Jan 26 14:00:20 2017 +1000

    autogen: add default patch prefix
    
    Signed-off-by: Mihail Konev <k.mvc@ya.ru>

commit 6dba18bf130e39718cc05cb8eb7d34a06b4a03a7
Author: Emil Velikov <emil.l.velikov@gmail.com>
Date:   Mon Mar 9 12:00:52 2015 +0000

    autogen.sh: use quoted string variables
    
    Place quotes around the $srcdir, $ORIGDIR and $0 variables to prevent
    fall-outs, when they contain space.
    
    Signed-off-by: Emil Velikov <emil.l.velikov@gmail.com>
    Reviewed-by: Peter Hutterer <peter.hutterer@who-t.net>
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>

commit 1111127df3838bf701eb70a4e1ef053f71321fd1
Author: Peter Hutterer <peter.hutterer@who-t.net>
Date:   Tue Jan 24 10:32:07 2017 +1000

    autogen.sh: use exec instead of waiting for configure to finish
    
    Syncs the invocation of configure with the one from the server.
    
    Signed-off-by: Peter Hutterer <peter.hutterer@who-t.net>
    Reviewed-by: Emil Velikov <emil.velikov@collabora.com>

commit 168cb69c5264f9b7ffd019c9c9867b23308832df
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:08:25 2014 -0700

    autogen.sh: Honor NOCONFIGURE=1
    
    See http://people.gnome.org/~walters/docs/build-api.txt
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 9c630e1607a29ee63f546a6a2294ba84f3493a77
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:08:25 2014 -0700

    configure: Drop AM_MAINTAINER_MODE
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 4db4880098627e9136c3cb9f6dc0a9f9914ce618
Author: Alan Coopersmith <alan.coopersmith@oracle.com>
Date:   Sun Jun 1 21:08:17 2014 -0700

    config: Add missing AC_CONFIG_SRCDIR
    
    Regroup AC statements under the Autoconf initialization section.
    Regroup AM statements under the Automake initialization section.
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@oracle.com>

commit 5b55964119d97ed763efa76bcc09dc918b6ab8be
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 19 10:06:55 2011 -0500

    config: move man pages into their own directory
    
    Use services provided by XORG_MANPAGE_SECTIONS.
    Use standard Makefile for man pages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 98469be392fcb4bc45e14b449e3576248e5bc558
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 17:15:36 2011 -0500

    man: replace hard coded man page section with substitution strings
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a88c4ce51e28968ea6ff09f0ae12d9e1d52fb349
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Jan 13 11:15:00 2011 -0500

    man: remove trailing spaces and tabs
    
    Using s/[ \t]*$//
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6146625ddfceaf32d632b72451b257325d212dc7
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 16:28:01 2011 -0500

    config: replace deprecated AM_CONFIG_HEADER with AC_CONFIG_HEADERS
    
    This silences an Autoconf warning

commit 218f4cbdcdc9e8035208970c699fd80e217a575d
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 15:12:08 2011 -0500

    config: remove unrequired AC_SUBST([*_LIBS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit a132b22ae57b1e7bf03167de2f1bdb17082fba3b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:33:47 2011 -0500

    config: remove unrequired AC_SUBST([*_CFLAGS])
    
    This macro is called by PKG_CHECK_MODULES
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 831d716c28934d26580391b092619e2524fb71c0
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 13:10:21 2011 -0500

    config: remove AC_PROG_CC as it overrides AC_PROG_C_C99
    
    XORG_STRICT_OPTION from XORG_DEFAULT_OPTIONS calls
    AC_PROG_C_C99. This sets gcc with -std=gnu99.
    If AC_PROG_CC macro is called afterwards, it resets CC to gcc.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 1c1e0d9c19b791fa1242f070334cf191bff97019
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:54:40 2011 -0500

    config: use AC_PROG_INSTALL now supplied by XORG_DEFAULT_OPTIONS
    
    It depends on util-macros 1.8 or later
    The existing statement can now be removed from the configuration file.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 6e2ab22c57a18a48ad9bdf0f8ff0819191d42b3e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 11:23:52 2011 -0500

    config: upgrade to util-macros 1.8 for additional man page support
    
    Use MAN_SUBST now supplied in XORG_MANPAGE_SECTIONS
    The value of MAN_SUBST is the same for all X.Org packages.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit f8366ba7d643c99e3bdb43df2cbb76c16cdd3443
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Jan 12 10:21:24 2011 -0500

    config: update AC_PREREQ statement to 2.60
    
    Unrelated to the previous patches, the new value simply reflects
    the reality that the minimum level for autoconf to configure
    all x.org modules in one pass is 2.60 dated June 2006.
    
    A version later than 2.60 can be used, but no new features from such
    a later version can be used in configure.ac.
    
    Although the code in this module can be configured with a version earlier
    than 2.60, most of code is now contained in macros from util-macros
    which use features of version 2.60, at the present or in the future.
    
    ftp://ftp.gnu.org/gnu/autoconf/autoconf-2.60.tar.gz
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 787b998d2eebf7825cf8c03fe1864bf8d410ee18
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Feb 11 10:08:06 2010 -0500

    config: move CWARNFLAGS from configure.ac to Makefile.am
    
    Compiler warning flags should be explicitly set in the makefile
    rather than being merged with other packages compiler flags.
    
    Signed-off-by: Gaetan Nadon <memsize@videotron.ca>

commit 5686a8163364a7dac59454c5db93a1a746b67c42
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Nov 26 09:19:52 2009 -0500

    Makefile.am: add ChangeLog and INSTALL on MAINTAINERCLEANFILES
    
    Now that the INSTALL file is generated.
    Allows running make maintainer-clean.

commit 27b94dbde5c63da3153f179763cf4152a73b4f17
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Wed Oct 28 14:09:07 2009 -0400

    INSTALL, NEWS, README or AUTHORS files are missing/incorrect #24206
    
    Add missing INSTALL file. Use standard GNU file on building tarball
    README may have been updated
    Remove AUTHORS file as it is empty and no content available yet.
    Remove NEWS file as it is empty and no content available yet.

commit 49dfdf15b4bbc7d16ad954672d10a1173be6886e
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Tue Oct 27 15:07:24 2009 -0400

    Deploy the new XORG_DEFAULT_OPTIONS #24242
    
    This macro aggregate a number of existing macros that sets commmon
    X.Org components configuration options. It shields the configuration file from
    future changes.

commit 97aa84419e2a51bb6b594ea9dfacaf7bb670b710
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Mon Oct 26 22:08:37 2009 -0400

    Makefile.am: ChangeLog not required: EXTRA_DIST or *CLEANFILES #24432
    
    ChangeLog filename is known to Automake and requires no further
    coding in the makefile.

commit f5953aeb4be49ca2711013133f8cc289db3a879b
Author: Gaetan Nadon <memsize@videotron.ca>
Date:   Thu Oct 22 12:34:14 2009 -0400

    .gitignore: use common defaults with custom section # 24239
    
    Using common defaults will reduce errors and maintenance.
    Only the very small or inexistent custom section need periodic maintenance
    when the structure of the component changes. Do not edit defaults.

commit 5104e9f3611733c8c0e8584ff2221698bb76726b
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Thu Oct 1 14:54:16 2009 -0700

    Add README with pointers to mailing lists, bugzilla, & git
    
    Signed-off-by: Alan Coopersmith <alan.coopersmith@sun.com>

commit 51a24f2177b09f8ef63ba1e5b09028f0582e1138
Author: Paulo Cesar Pereira de Andrade <pcpa@mandriva.com.br>
Date:   Mon Jan 12 17:48:28 2009 -0200

    Ansification and compile warning fixes.
    
      This also uses XORG_CHANGELOG and XORG_CWARNFLAGS, corrects
    make distcheck and all gcc 4.3 and sparse warnings.

commit a9a8778a984e69007d77227969b0103b2a81e4c8
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun May 11 00:50:20 2008 +0200

    Bump to 1.0.4

commit b3046750c37837dfe6d2a488361a1c78abdce138
Author: Juliusz Chroboczek <jch@pps.jussieu.fr>
Date:   Sun May 11 00:46:52 2008 +0200

    Use va_copy in vsprintf_alloc.
    This avoids a crash on arches with an interesting implementation of va_list
    (such as AMD64) but no vasprintf in their libc.

commit a0d110f283e387e9c594d422c5c75cb593def91e
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun May 11 00:45:51 2008 +0200

    Add autoconf test for va_copy.

commit e583311c8a73a675fc3396fe24cdafcad53e60e5
Author: Julien Cristau <jcristau@debian.org>
Date:   Sun May 11 00:32:05 2008 +0200

    Use autoconf test instead of #ifdef GLIBC for vasprintf.

commit 8e36cc8647b27a4d14cf3f63045410db79fb98a3
Author: Juliusz Chroboczek <jch@pps.jussieu.fr>
Date:   Sun May 11 00:30:12 2008 +0200

    Rename *_reliable to *_alloc.

commit 867c33d332abe479ab088f98e01c06800203a3e0
Author: Juliusz Chroboczek <jch@pps.jussieu.fr>
Date:   Sun May 11 00:01:38 2008 +0200

    Update copyright date.

commit 4ecd697abe1026eb27e1373bf357ebca2ade4138
Author: Juliusz Chroboczek <jch@pps.jussieu.fr>
Date:   Fri May 2 19:24:21 2008 +0200

    Use asprintf on GNU platforms.
    This fixes fonttosfnt on AMD64 with glibc.  It will still break on
    non-GNU RISC platforms, because I'm incompetent and cannot use va_copy.

commit 5cb6dcac85b89deea8263e1b7bcb7714e07063ff
Author: George Williams <gww@silcom.com>
Date:   Fri May 2 19:14:58 2008 +0200

    Fix handling for non-square pixels.

commit 95a16fb0001abcea6a12b4eb2e1a1d24ab83d5fa
Author: George Williams <gww@silcom.com>
Date:   Fri May 2 19:09:09 2008 +0200

    Fix off-by-one entrySel field.

commit bbab34919743990bf87935480092f7644f8f02fc
Author: James Cloos <cloos@jhcloos.com>
Date:   Thu Mar 13 13:19:11 2008 -0400

    I’m not sure the PCLT table is needed by the fonts generated here, but
    use a fixed 16 char string as the initializer for the PCLT Fontname field
    to silence the warning (or error for some compilers) as reported in bugzilla:
    
    http://bugs.freedesktop.org/show_bug.cgi?id=3928

commit 5bf16aed7ba59559a636552811f7267d79a746bb
Author: James Cloos <cloos@jhcloos.com>
Date:   Mon Sep 3 05:51:00 2007 -0400

    Add *~ to .gitignore to skip patch/emacs droppings

commit 64474e003376039cf485fa6eb41d241170397ab4
Author: Alan Coopersmith <alan.coopersmith@sun.com>
Date:   Fri Aug 10 16:21:44 2007 -0700

    Change fonttosfnt_CFLAGS to AM_CFLAGS to make automake-1.10 happier

commit 0c316fb4aadf26bea5784974cd484483d6322b5c
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Sat Dec 16 01:37:31 2006 +0200

    bump to 1.0.3

commit 0eba2afb80bf17c0a2d2753ff92c1986211d92be
Author: Daniel Stone <daniel@fooishbar.org>
Date:   Wed Dec 6 19:01:27 2006 +0200

    Makefile.am: make ChangeLog hook safer
    Make ChangeLog hook as safe as possible.

commit 8c2de974ec3df06a547906474ced5ffb4a07a6b5
Author: Juliusz Chroboczek <jch@pps.jussieu.fr>
Date:   Tue Oct 31 01:48:49 2006 +0100

    Fix author address in manual page, update COPYING.

commit e734cef9baff470a5e913f2e9ac7e0ce649ea7dc
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Fri Oct 13 17:30:24 2006 -0400

    Bump to 1.0.2

commit 72caf26ad336b3de9af3e640f939ea2cd0caa42b
Author: Adam Jackson <ajax@benzedrine.nwnk.net>
Date:   Thu Oct 12 20:56:01 2006 -0400

    Fix the ChangeLog hook to distcheck.

commit b30bd59af161fc0907d497101f10705c7b575008
Author: Matthieu Herrb <matthieu@reactor.herrb.com>
Date:   Sun Jul 16 10:43:55 2006 +0200

    Replace ChangeLog with a auto-generated git-log

commit f5d7f68599f4d2ec86df0910f8c823b8feabc6db
Author: Matthieu Herrb <matthieu@reactor.herrb.com>
Date:   Sun Jul 16 10:32:52 2006 +0200

    .cvsignore -> .gitignore

commit b651f24b766c9e76dec8a14c68623f4b7fa68141
Author: Matthieu Herrb <matthieu@reactor.herrb.com>
Date:   Sun Jul 16 10:31:26 2006 +0200

    Don't include freetype internal headers.

commit d00a25b26be87fdc06e20b0616f2fa34fe34e0b0
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Dec 21 02:29:42 2005 +0000

    Update package version for X11R7 release.

commit 697369878ec5ce26d0ab88efd2b58129c5a56881
Author: Adam Jackson <ajax@nwnk.net>
Date:   Mon Dec 19 16:22:40 2005 +0000

    Stub COPYING files

commit 7aa1cd75f6164d1bf33e11464e7c4edb32f29dd6
Author: Kevin E Martin <kem@kem.org>
Date:   Thu Dec 15 00:24:02 2005 +0000

    Update package version number for final X11R7 release candidate.

commit 465400df7122f178102fac935ca6138d8a6cfbeb
Author: Kevin E Martin <kem@kem.org>
Date:   Tue Dec 6 22:48:16 2005 +0000

    Change *man_SOURCES ==> *man_PRE to fix autotools warnings.

commit d76c640e4172b32112e527e83458345da3fc715c
Author: Kevin E Martin <kem@kem.org>
Date:   Sat Dec 3 05:49:15 2005 +0000

    Update package version number for X11R7 RC3 release.

commit 0f9a04d1abab2760d3cb145b0e907c8509c8d3e7
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Nov 28 22:01:36 2005 +0000

    Change *mandir targets to use new *_MAN_DIR variables set by xorg-macros.m4
        update to fix bug #5167 (Linux prefers *.1x man pages in man1 subdir)

commit 7225a9cdbd7b683d78bca2464d89bbe51fe185cd
Author: Eric Anholt <anholt@freebsd.org>
Date:   Mon Nov 21 10:34:55 2005 +0000

    Another pass at .cvsignores for apps.

commit bc943ad21ca3c46b48dcec0954ed80129ac3d4ac
Author: Eric Anholt <anholt@freebsd.org>
Date:   Sun Nov 20 22:08:48 2005 +0000

    Add/improve .cvsignore files for apps.

commit 270074ea7d3194b91cd14c17f750c4965f7ba9fb
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sun Nov 20 18:14:10 2005 +0000

    fonttosfnt only depends on xproto headers, not x11 library

commit 8221726955cf4be32d56b63d95c119d0f5ad3749
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Nov 9 21:09:19 2005 +0000

    Update package version number for X11R7 RC2 release.

commit 26f1c8de351a6c56aafa337b6002a345e835e017
Author: Kean Johnson <kean@armory.com>
Date:   Tue Nov 8 06:33:31 2005 +0000

    See ChangeLog entry 2005-11-07 for details.

commit 7827761d51b92f82e457df0c132b52817a5c2783
Author: Kevin E Martin <kem@kem.org>
Date:   Wed Oct 19 02:47:48 2005 +0000

    Update package version number for RC1 release.

commit 9d4c03cd1be37e2c300b45b250ed52bcfdda65f2
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Oct 17 23:56:19 2005 +0000

    Use @APP_MAN_SUFFIX@ instead of $(APP_MAN_SUFFIX) in macro substitutions to
        work better with BSD make

commit 0dfc246519b4e2d4e2dee91835c762b1263c5a90
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Fri Oct 14 00:25:41 2005 +0000

    Use sed to fill in variables in man page

commit 21d2888221fbb156398cb69d12798d2c16f3c8a0
Author: Matthieu Herrb <matthieu.herrb@laas.fr>
Date:   Sun Sep 11 12:43:13 2005 +0000

    change the order of option to prevent automake from inserting a line break
        that causes problems with BSD make later.

commit fcfbfe0f7ddb621b1b0e99fba6b386221fb56263
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Mon Aug 1 20:25:27 2005 +0000

    Install man pages to section 1 instead of section m (Patch from Donnie
        Berkholz)

commit 257b9388fc234b2f8d515124784ce9e42db6bb0d
Author: Alan Coopersmith <Alan.Coopersmith@sun.com>
Date:   Sat Jul 30 19:32:32 2005 +0000

    Add -D flags to clear more compiler warnings (Stefan Dirsch)

commit 31913e37864f621db1bd6c7e578cad1ade060f84
Author: Kevin E Martin <kem@kem.org>
Date:   Fri Jul 29 21:22:28 2005 +0000

    Various changes preparing packages for RC0:
    - Verify and update package version numbers as needed
    - Implement versioning scheme
    - Change bug address to point to bugzilla bug entry form
    - Disable loadable i18n in libX11 by default (use --enable-loadable-i18n to
        reenable it)
    - Fix makedepend to use pkgconfig and pass distcheck
    - Update build script to build macros first
    - Update modular Xorg version

commit ed904c57d881eb9bcd09aeb8722fbb55687f3600
Author: Adam Jackson <ajax@nwnk.net>
Date:   Wed Jul 20 19:31:48 2005 +0000

    Use a unique token for PKG_CHECK_MODULES. Otherwise, if you use a global
        configure cache, you cache it, and the cached value is probably wrong.

commit b209b9a7f683c10a77ed2e03da79b7ac1abc4844
Author: Søren Sandmann Pedersen <sandmann@daimi.au.dk>
Date:   Wed Jul 6 19:46:18 2005 +0000

    Build system for fonttosfnt

commit e8571878caa5d35f712e158a45391584da3d5e47
Author: Egbert Eich <eich@suse.de>
Date:   Mon May 24 19:06:59 2004 +0000

    Fix build glitches when building modules independently using Imake.

commit 417d53e38e84d63dfa2705f41d46ec1df777a8ad
Author: Egbert Eich <eich@suse.de>
Date:   Fri Apr 23 19:54:32 2004 +0000

    Merging XORG-CURRENT into trunk

commit 3d00e4afa32385f6926fcd61dfa071f263a773a3
Author: Egbert Eich <eich@suse.de>
Date:   Sun Mar 14 08:34:50 2004 +0000

    Importing vendor version xf86-4_4_99_1 on Sun Mar 14 00:26:39 PST 2004

commit 7e303eeeac4b6ffd8b04f8372a7466d59acadbca
Author: Egbert Eich <eich@suse.de>
Date:   Wed Mar 3 12:12:50 2004 +0000

    Importing vendor version xf86-4_4_0 on Wed Mar 3 04:09:24 PST 2004

commit 8e100bba2b23ab7f91e7635de5e36f82ecbebbee
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 13:36:15 2004 +0000

    readding XFree86's cvs IDs

commit be4a578da6742e6298edae3ec9ba56c331c89ba4
Author: Egbert Eich <eich@suse.de>
Date:   Thu Feb 26 09:23:54 2004 +0000

    Importing vendor version xf86-4_3_99_903 on Wed Feb 26 01:21:00 PST 2004

commit 24fddb6f3214189dae072f375403462d5e9f6091
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Fri Dec 19 20:55:44 2003 +0000

    XFree86 4.3.99.902 (RC 2)

commit f570299bb0f2a55e3059d1f4b42cb3d40a92793a
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:02 2003 +0000

    XFree86 4.3.99.16 Bring the tree up to date for the Cygwin folks

commit a46389d96c54351cd95614f1e5eae495f51957f0
Author: Kaleb Keithley <kaleb@freedesktop.org>
Date:   Tue Nov 25 19:29:02 2003 +0000

    Initial revision
